
QGIS Application - Bug report #20523

Adding new features in postgis fails with attribute window popup

2018-11-17 04:43 AM - Randal Hale

Status: Closed

Priority: High

Assignee: Julien Cabieces

Category: Editing

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28343

Description

I tested this on postgresql/postgis 10.6/2.4 and postgresql/postgis 11/2.5. I searched for a corresponding bug and couldn't find one. I did

test on geopackage and the fid incremented properly with or without the attribute popup form.

If I make a connection and add features and don't suppress the attribute popup form on feature creation - qgis wants me to manually

increment the primary key on the second feature added. I can't save.

If I suppress the feature attribute popup form on feature creation I can add as many features as I want and save and proceed with data

entry.

I tested this with linestrings and multilinestrings.

the table tested was created with:

create table linestring_table (

id serial primary key,

geom geometry (linestring, 4326),

edituser varchar(24),

editdate timestamp

);

Related issues:

Related to QGIS Application - Bug report # 20431: no possibility to confirm i... Closed 2018-11-09

History

#1 - 2018-11-17 09:11 AM - Harrissou Santanna

- Related to Bug report #20431: no possibility to confirm in the attribut form while add more than one feature (postgres) added

#2 - 2018-11-17 01:59 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Operating System deleted (ubuntu and windows )

- Priority changed from Normal to High

#3 - 2019-01-30 08:32 AM - Julien Cabieces

- Assignee set to Julien Cabieces

- Status changed from Open to Closed

- Resolution set to worksforme

Works in 3.4.4
